Subject: bug#45017: asdf-build-system packages have priority over user ones

From: Guillaume Le Vaillant <[email-masked]>
Date: Fri, 04 Dec 2020 10:12:06 +0100

Pierre Neidhardt <[email-masked]> skribis:

> Thanks for taking a shot at this, looks great!
>
> I'll test later, but for now one question: we patch sbcl to use our
> cl-asdf, but what about the other compilers?  Seems to me that the other
> compilers are going to have the same problem, aren't they?

SBCL and ECL are patched to use our cl-asdf because it is necessary to
build the sbcl-* and ecl-* packages. Also patching ABCL, CCL, and Clisp
sounds like a good idea. At least all the compilers would use the same
version of ASDF, and hopefully behave in the same way when looking for
configuration files.